// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')

onEvent('item.registry.armor_tiers', event => {
	event.add('wool', tier => {
		tier.durabilityMultiplier = 5
		tier.slotProtections = [1, 2, 2, 1]
		tier.enchantmentValue = 11
		tier.equipSound = 'minecraft:item.armor.equip_leather'
		tier.repairIngredient = '#quark:quilted_wools'
		tier.toughness = 0.0
		tier.knockbackResistance = 0.0
	})
})

onEvent('item.registry', event => {
	// Register new items here
	// event.create('example_item').displayName('Example Item')

	event
		.create("wool_hood")
		.type("helmet")
		.tier("wool")
		.displayName('Wool Hood')
		
	event
		.create("wool_jacket")
		.type("chestplate")
		.tier("wool")
		.displayName('Wool Jacket')
		
	event
		.create("wool_pants")
		.type("leggings")
		.tier("wool")
		.displayName('Wool Pants')
		
	event
		.create("wool_boots")
		.type("boots")
		.tier("wool")
		.displayName('Wool Boots')
	
	event.create('acacia_plank').displayName('Acacia Lumber').burnTime(100)
	
	event.create('birch_plank').displayName('Birch Lumber').burnTime(100)
	
	event.create('crimson_plank').displayName('Crimson Lumber').burnTime(100)
	
	event.create('dark_oak_plank').displayName('Dark Oak Lumber').burnTime(100)
	
	event.create('jungle_plank').displayName('Jungle Lumber').burnTime(100)
	
	event.create('oak_plank').displayName('Oak Lumber').burnTime(100)
	
	event.create('spruce_plank').displayName('Spruce Lumber').burnTime(100)
	
	event.create('warped_plank').displayName('Warped Lumber').burnTime(100)
	
	event.create('driftwood_plank').displayName('Driftwood Lumber').burnTime(100)
	
	event.create('river_plank').displayName('River Lumber').burnTime(100)
	
	event.create('poise_plank').displayName('Poise Lumber').burnTime(100)
	
	event.create('saw_dust').displayName('Saw Dust').burnTime(40)
	
	event.create('paper_pulp').displayName('Paper Pulp')
	
	event.create('wet_paper').displayName('Wet Paper')
	
	event.create('zinc_ore_rock').displayName('Zinc Ore Rock')
	
	event.create('diamond_ingot').displayName('Diamond Ingot')
	
	event.create('diamond_sheet').displayName('Diamond Sheet')
	
	event.create('obsidian_bucket').displayName('Obsidian Bucket').unstackable()
	
	event.create('fibre_string').displayName('Fibre String')
	
	event.create('obsidian_shard').displayName('Obsidian Shard')
	
	event.create('pile_of_dirt').displayName('Pile of Dirt')
	
	event.create('pile_of_sand').displayName('Pile of Sand')
	
	event.create('pile_of_red_sand').displayName('Pile of Red Sand')
	
	event.create('pile_of_soul_sand').displayName('Pile of Soul Sand')
	
	event.create('pile_of_soul_soil').displayName('Pile of Soul Soil')
	
	event.create('pile_of_rich_soil').displayName('Pile of Rich Soil')
	
	event.create('pile_of_eumus').displayName('Pile of Eumus')
	
	event.create('driftwood_bark').displayName('Driftwood Bark').burnTime(40)
	
	event.create('river_bark').displayName('River Bark').burnTime(40)
	
	event.create('poise_bark').displayName('Poise Bark').burnTime(40)
	
	event.create('raw_cookie').displayName('Raw Cookie')
	
	event.create('raw_pie_crust').displayName('Raw Pie Crust')
	
	event.create('raw_sweet_berry_cookie').displayName('Raw Sweet Berry Cookie')
	
	event.create('raw_honey_cookie').displayName('Raw Honey Cookie')
	
	event.create('raw_pancake').displayName('Raw Pancake')
	
	event.create('raw_green_tea_cookie').displayName('Raw Green Tea Cookie')
	
	event.create('raw_coffee_cake').displayName('Raw Coffee Cake').unstackable()
	
	event.create('raw_cake').displayName('Raw Cake').unstackable()
	
	event.create('cake').displayName('Cake').displayName('Cake').food(food => {
		food.hunger(7)
			.saturation(1.4)
	})
	
	event.create('cake_slice').displayName('Slice of Cake').food(food => {
		food.hunger(1)
			.saturation(0.2)
	})
	
	event.create('cursed_pebble').displayName('Cursed Rock')
	
	event.create('dead_sandstone_pebble').displayName('Dead Sandstone Rock')
	
	event.create('remnant_pebble').displayName('Remnant Rock')
	
	event.create('basalt_pebble').displayName('Basalt Rock')
	
	event.create('blackstone_pebble').displayName('Blackstone Rock')
	
	event.create('haunted_plank').displayName('Haunted Lumber').burnTime(100)
	
	event.create('haunted_bark').displayName('Haunted Bark').burnTime(40)
})

onEvent('item.registry.tool_tiers', event => {
	event.add('wood', tier => {
		tier.repairIngredient = '#kubejs:plank'
	})
})